------------------------------------------------------------------------------------
--Name:  	qixi3
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-07-20
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(42, 41)
local Effect_1 = CppScriptMgr:AddEffect("CSGX_zi", 40, 39, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(780)
local Player_1 = CppScriptMgr:AddPlayer(8, 40, 39, "HappyVulpes", 0, 0)
Player_1:SetDir(7)
Player_1:SetZoomPercent(150)
Player_1:SetArmor(191515, 0, 1)
Player_1:SetHair(107, 1)
CppScriptMgr:WaitMilSec(220)
CppScriptMgr:ClearEffect(Effect_1)
CppScriptMgr:WaitMilSec(850)
Player_1:Say("I am filled with joy today!", 1500)
Player_1:SetAction(151)
CppScriptMgr:WaitMilSec(1620)
local Effect_2 = CppScriptMgr:AddEffect("CSGX_hong", 51, 49, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(180)
Player_1:SetHide(1)
CppScriptMgr:WaitMilSec(820)
CppScriptMgr:ClearEffect(Effect_2)
local Player_2 = CppScriptMgr:AddPlayer(8, 51, 49, "AngryVulpes", 0, 0)
Player_2:SetHair(107, 1)
Player_2:SetArmor(191515, 0, 1)
Player_2:SetDir(7)
Player_2:SetZoomPercent(150)
CppScriptMgr:WaitMilSec(670)
Player_2:Say("I have to vent out my anger today!", 1500)
Player_2:SetAction(160)
CppScriptMgr:WaitMilSec(1810)
Player_2:SetHide(1)
local Effect_3 = CppScriptMgr:AddEffect("CSGX_jin", 49, 40, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:ClearEffect(Effect_3)
local Player_3 = CppScriptMgr:AddPlayer(8, 49, 40, "SadVulpes", 0, 0)
Player_3:SetHair(107, 1)
Player_3:SetArmor(191515, 0, 1)
Player_3:SetDir(7)
Player_3:SetZoomPercent(150)
CppScriptMgr:WaitMilSec(550)
Player_3:SetAction(170)
Player_3:Say("Sad, extremely sad...", 1500)
CppScriptMgr:WaitMilSec(1930)
Player_3:SetHide(1)
local Effect_4 = CppScriptMgr:AddEffect("CSGX_lv", 38, 45, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:ClearEffect(Effect_4)
local Player_4 = CppScriptMgr:AddPlayer(8, 38, 45, "ScaredVulpes", 0, 0)
Player_4:SetHair(107, 1)
Player_4:SetArmor(191515, 0, 1)
Player_4:SetDir(7)
Player_4:SetZoomPercent(150)
CppScriptMgr:WaitMilSec(570)
Player_4:Say("Don`t come any closer! I beg you!", 1500)
Player_4:SetAction(200)
CppScriptMgr:WaitMilSec(1910)
Player_4:SetHide(1)
local Effect_5 = CppScriptMgr:AddEffect("CSGX_zi", 44, 43, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:ClearEffect(Effect_5)
local Player_5 = CppScriptMgr:AddPlayer(8, 44, 43, "LovingVulpes", 0, 0)
Player_5:SetHair(107, 1)
Player_5:SetArmor(191515, 0, 1)
Player_5:SetDir(7)
Player_5:SetZoomPercent(150)
CppScriptMgr:WaitMilSec(1150)
Player_5:Say("Flora is such an adorable little fox!", 1500)
Player_5:SetAction(101)
CppScriptMgr:WaitMilSec(1850)
Player_5:SetHide(1)
local Effect_6 = CppScriptMgr:AddEffect("CSGX_hong", 40, 43, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:ClearEffect(Effect_6)
local Player_6 = CppScriptMgr:AddPlayer(8, 40, 43, "HatefulVulpes", 0, 0)
Player_6:SetHair(107, 1)
Player_6:SetArmor(191515, 0, 1)
Player_6:SetDir(7)
Player_6:SetZoomPercent(150)
CppScriptMgr:WaitMilSec(1030)
Player_6:Say("I will destroy everything in Jade Hill!", 1500)
Player_6:SetAction(160)
CppScriptMgr:WaitMilSec(1940)
Player_6:SetHide(1)
local Effect_7 = CppScriptMgr:AddEffect("CSGX_jin", 42, 41, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:ClearEffect(Effect_7)
local Player_7 = CppScriptMgr:AddPlayer(8, 42, 41, "GreedyVulpes", 0, 0)
Player_7:SetHair(107, 1)
Player_7:SetArmor(191515, 0, 1)
Player_7:SetDir(7)
Player_7:SetZoomPercent(150)
CppScriptMgr:WaitMilSec(590)
Player_7:Say("Not enough, far from enough! I want more power!", 1500)
Player_7:SetAction(401)
CppScriptMgr:WaitMilSec(2410)